<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Waktu Tunggu Lulus</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">
            <span th:if="${'sarjana' == jenis}">Waktu Tunggu Lulusan (Khusus Program Sarjana)</span>
            <span th:if="${'diploma' == jenis}">Waktu Tunggu Lulusan (Khusus Program Diploma Tiga)</span>
            <span th:if="${'terapan' == jenis}">Waktu Tunggu Lulusan (Khusus Program Sarjana Terapan)</span>
        </h4>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <div class="card-header-action" style="text-align: right;">
                        <!-- Button trigger modal -->
                        <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#exampleModal">
                            <i class="fa fa-plus-circle"></i> Tambah Data
                        </button>

                        <!-- Modal -->
                        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <form th:action="@{/waktuTungguLulus/post}" method="post">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">Tambah Data</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body" style="text-align: left;">
                                            <div class="form-group mb-3">
                                                <label>Tahun Lulus</label>
                                                <input type="text" class="form-control" name="tahunLulus">
                                            </div>
                                            <div class="form-group mb-3">
                                                <label>Jumlah Lulusan yang Terlacak</label>
                                                <input type="text" class="form-control" name="jumlahTerlacak">
                                            </div>
                                            <div class="form-group mb-3">
                                                <label>Jumlah Lulusan yang Dipesan Sebelum Lulus</label>
                                                <input type="text" class="form-control" name="jumlahDipesan">
                                            </div>
                                            <div class="form-group mb-3">
                                                <label th:if="${'sarjana' == jenis}">WT < 6 bulan</label>
                                                <label th:if="${'sarjana' != jenis}">WT < 3 bulan</label>
                                                <input type="text" class="form-control" name="wtSatu">
                                            </div>
                                            <div class="form-group mb-3">
                                                <label th:if="${'sarjana' == jenis}">6 ≤ WT ≤ 18 bulan</label>
                                                <label th:if="${'sarjana' != jenis}">3 ≤ WT ≤ 6 bulan</label>
                                                <input type="text" class="form-control" name="wtDua">
                                            </div>
                                            <div class="form-group mb-3">
                                                <label th:if="${'sarjana' == jenis}">WT > 18 bulan</label>
                                                <label th:if="${'sarjana' != jenis}">WT > 6 bulan</label>
                                                <input type="text" class="form-control" name="wtTiga">
                                            </div>
                                            <div class="form-group mb-3">
                                                <label>Standar Pendidikan Tinggi yang ditetapkan oleh Perguruan Tinggi</label>
                                                <input type="text" class="form-control" name="standar">
                                                <input type="hidden" name="prodi" th:value="${prodi.getId()}">
                                                <input type="hidden" name="tahun" th:value="${tahun}">
                                                <input type="hidden" name="jenis" th:value="${enum}">
                                            </div>

                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Tutup</button>
                                            <button type="submit" class="btn btn-primary">Simpan</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <a th:href="@{/akreditasi(prodi = ${prodi.id}, tahun = ${tahun})}" class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12" th:if="${success != null}">
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                <strong th:text="${success}">Data berhasil di simpan.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${delete != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong th:text="${delete}">Data berhasil di hapus.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${error != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong th:text="${error}">Data berhasil di hapus.</strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered">
                            <thead>
                            <tr>
                                <th rowspan="2">#</th>
                                <th rowspan="2">Tahun Lulus</th>
                                <th rowspan="2">Jumlah Lulusan yang Terlacak</th>
                                <th rowspan="2">Jumlah Lulusan yang Dipesan Sebelum Lulus</th>
                                <th colspan="3">Jumlah Lulusan Terlacak dengan Waktu Tunggu Mendapatkan Pekerjaan</th>
                                <th rowspan="2">Standar Pendidikan Tinggi yang ditetapkan oleh Perguruan Tinggi</th>
                            </tr>
                            <tr>
                                <th>
                                    <span th:if="${'sarjana' == jenis}">WT < 6 bulan</span>
                                    <span th:if="${'sarjana' != jenis}">WT < 3 bulan</span>
                                </th>
                                <th>
                                    <span th:if="${'sarjana' == jenis}">6 ≤ WT ≤ 18 bulan</span>
                                    <span th:if="${'sarjana' != jenis}">3 ≤ WT ≤ 6 bulan</span>
                                </th>
                                <th>
                                    <span th:if="${'sarjana' == jenis}">WT > 18 bulan</span>
                                    <span th:if="${'sarjana' != jenis}">WT > 6 bulan</span>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data, row:${list}">
                                <td th:text="${(row.index + 1)}"></td>
                                <td th:text="${data.tahunLulus}"></td>
                                <td th:text="${data.jumlahTerlacak}"></td>
                                <td th:text="${data.jumlahDipesan}"></td>
                                <td th:text="${data.wtSatu}"></td>
                                <td th:text="${data.wtDua}"></td>
                                <td th:text="${data.wtTiga}"></td>
                                <td th:text="${data.standar}"></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

        </div>
    </div>

</main>
</body>
</html>